package com.youjiayun.demo.entity.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * @Author 涛涛
 * @Desc  api异步通知公用参数
 * @Date 2021-12-02 10:07 上午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultApiCallbackJson<T> implements Serializable {

    private static final long serialVersionUID = 1L;

    private int tab;

    private T data;

    public static ResultApiCallbackJson successResult(Object data,int tab) {
        ResultApiCallbackJson jsonResult = new ResultApiCallbackJson();
        jsonResult.setTab(tab);
        jsonResult.setData(data);
        return jsonResult;
    }
}
