package com.youjiayun.demo.entity.request;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author 涛涛
 * @Desc  发放API通知请求参数
 * @Date 2021-12-02 10:10 上午
 */
@Data
public class PayApiNotifyRequestDTO {

    @ApiModelProperty(value = "请求单号")
    private String parentOrderNo;

    @ApiModelProperty(value = "交易订单号")
    private String batchSettlementOrderNo;

    @ApiModelProperty(value = "状态 10:处理中，20:支付中，30:已到账 40:校验失败 50:打款失败 60:已取消")
    private Integer status;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "商户编号")
    private String merchantNo;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;


}
